### Virtual Method

# Ide VcsCloner clone_async

#### Declaration

    void
    clone_async (
      IdeVcsCloner* self,
      const gchar* uri,
      const gchar* destination,
      GVariant* options,
      IdeNotification* progress,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

Available since: | 3.32

#### Parameters

`uri` | `const gchar*`
| A string containing the URI.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`destination` | `const gchar*`
| A string containing the destination path.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`options` | `GVariant`
| A `GVariant` containing any user supplied options.
| The data is owned by the caller of the function.
`progress` | `IdeNotification`
| A location for an `IdeNotification`, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to execute upon completion.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.